#
# spec file for package python-ctypes
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define modname ctypes
Name:           python-%{modname}
BuildRequires:  python-devel
Url:            http://pypi.python.org/pypi/%{modname}/
License:        MIT
Group:          Productivity/System
Autoreqprov:    on
Version:        1.0.2
Release:        1.1
Summary:        Create and manipulate C data types from Python
Source0:         ctypes-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
python-ctypes is a python module to create and manipulate C data types in
Python, and to call functions in dynamic link libraries/shared dlls.
It allows wrapping these libraries in pure Python.

%prep
%setup -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ACKS ANNOUNCE BUGS ChangeLog LICENSE.txt README.*

%changelog
* Fri Jan 15 2010 andrea@opensuse.org
- fixed spec file
- new upstream version 1.0.2
* Tue Jun 17 2008 poeml@suse.de
- initial package (1.0.0)
